
%define plugin	fussball
%define name	vdr-plugin-%plugin
%define version	0.0.3b
%define rel	2

Summary:	VDR plugin: Displays table of the German Football(Soccer) League
Name:		%name
Version:	%version
Release:	%mkrel %rel
Group:		Video
License:	GPL
URL:		http://home.arcor.de/crystl/
Source:		http://home.arcor.de/crystl/vdr-%plugin-%version.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	vdr-devel >= 1.4.1-6
Requires:	vdr-abi = %vdr_abi
Requires:	wget

%description
This VDR plugin displays table of the German Football(Soccer)
League.

%prep
%setup -q -n %plugin-%version

perl -pi -e 's,/usr/local/bin,%{_bindir},' fussball.c
perl -pi -e 's,/usr/local/bin/sort.pl,%{_bindir}/fussball-sort.pl,' scripte/ergebnisse.sh

%build
%vdr_plugin_build

%install
rm -rf %{buildroot}
%vdr_plugin_install

install -d -m755 %{buildroot}%{_bindir}
install -m755 scripte/*.sh %{buildroot}%{_bindir}
install -m755 scripte/sort.pl %{buildroot}%{_bindir}/fussball-sort.pl

%clean
rm -rf %{buildroot}

%post
%vdr_plugin_post %plugin

%postun
%vdr_plugin_postun %plugin

%files -f %plugin.vdr
%defattr(-,root,root)
%doc README HISTORY
%{_bindir}/ergebnisse.sh
%{_bindir}/tabelle.sh
%{_bindir}/fussball-sort.pl

%changelog
* Wed Sep 06 2006 Anssi Hannula <anssi@mandriva.org> 0.0.3b-2mdv2007.0
- rebuild for new vdr

* Wed Aug 23 2006 Anssi Hannula <anssi@mandriva.org> 0.0.3b-1mdv2007.0
- 0.0.3b
- stricter abi requires

* Sun Aug 06 2006 Anssi Hannula <anssi@mandriva.org> 0.0.2-3mdv2007.0
- rebuild for new vdr

* Tue Jul 25 2006 Anssi Hannula <anssi@mandriva.org> 0.0.2-2mdv2007.0
- rebuild for new vdr

* Wed Jul 12 2006 Anssi Hannula <anssi@mandriva.org> 0.0.2-1mdv2007.0
- initial Mandriva release
